"use strict";
function __export(m) {
    for (var p in m) if (!exports.hasOwnProperty(p)) exports[p] = m[p];
}
var fixture_1 = require("./fixture");
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = fixture_1.fixture;
__export(require("./interfaces"));
var fs_1 = require("fs");
var path_1 = require("path");
var cache = {};
function fixture(dir) {
    var absDir = path_1.resolve(dir);
    cache[absDir] = {};
    var entries = fs_1.readdirSync(absDir);
    entries.forEach(function (entry) {
        var id = isDirectory(absDir, entry) ? 'd' : 'f';
        var node = cache[absDir][id] || (cache[absDir][id] = []);
        node.push(entry);
    });
    return {
        directory: function (name, cb) {
            cb({
                name: name,
                path: path_1.resolve(absDir, name)
            });
        },
        eachFile: function (cb) {
            cache[absDir].f.forEach(function (filename) {
                cb({
                    filename: filename,
                    name: filename.slice(0, filename.lastIndexOf('.')),
                    path: path_1.resolve(absDir, filename)
                });
            });
        },
        eachDirectory: function (cb) {
            cache[absDir].d.forEach(function (name) {
                cb({
                    name: name,
                    path: path_1.join(absDir, name)
                });
            });
        }
    };
}
exports.fixture = fixture;
function isDirectory(path, name) {
    var stat = fs_1.statSync(path_1.join(path, name));
    return stat.isDirectory();
}
//# sourceMappingURL=index.js.map